<?php

/*
*
*	Todas las funciones del tema
*
*/

//includes

require get_template_directory() . '/includes/security.php';
require get_template_directory() . '/includes/navwalker.php';
require get_template_directory() . '/includes/posts.php';
require get_template_directory() . '/includes/products.php';

//Setup 
if ( ! function_exists( 'outleton_setup' ) ) :
	function outleton_setup(){
		//Supports
		add_theme_support( 'title-tag' );
		add_theme_support( 'post-thumbnails' );

		//Menus
		register_nav_menus( array(
		'Top' => __( 'Menu Principal',  'outleton' ),
		'footer'  => __( 'Menu del footer', 'outleton' ),
		) );
	}
endif;

add_image_size( 'wordpress-thumbnail', 485, 404, array( 'center', 'top' )  );
add_action( 'after_setup_theme', 'outleton_setup' );
//Setup




//Widgets

function outleton_widgets_register() {
	register_sidebar( array(
		'name'          => __( 'Tienda', 'outleton' ),
		'id'            => 'tienda',
		'description'   => __( 'Sidebar utilizado en tienda', 'outleton' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'outleton_widgets_register' );


//Google fonts
function google_fonts() {
            wp_register_style('google_fonts', 'http://fonts.googleapis.com/css?family=Pacifico|Oswald');
            wp_enqueue_style( 'google_fonts');
}
add_action('wp_print_styles', 'google_fonts');



//Scripts and Styles

function outleton_styles_scripts(){

	//Styles
	wp_enqueue_style( 'outleton-style', get_stylesheet_uri() );

	wp_enqueue_script( 'bootstrap-script', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js', array( 'jquery' ), '', true );

	//Main.js
	wp_enqueue_script( 'infinite-script', get_template_directory_uri() . '/assets/js/infinite-scroll.js', array( 'jquery' ), '', true );
	wp_enqueue_script( 'outleton-script', get_template_directory_uri() . '/assets/js/main.js', array( 'jquery' ), '', true );



}
add_action( 'wp_enqueue_scripts', 'outleton_styles_scripts' );

function editor_style() {
    add_editor_style(get_stylesheet_uri());
    
}
add_action( 'admin_init', 'editor_style' );



add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

add_filter('woocommerce_default_catalog_orderby', 'custom_default_catalog_orderby');
 
function custom_default_catalog_orderby() {
     return 'date'; // Can also use title and price
}