<?php

function infinite_posts($number,$columns){

	$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	$args = array(
	'posts_per_page'         => $number,
	'paged' 						 => $paged,

);
// The Query
$the_query = new WP_Query( $args );
$columns = 12/$columns;
// The Loop
if ( $the_query->have_posts() ) {

	echo '<section class="row last-posts">';
	while ( $the_query->have_posts() ) {
		$the_query->the_post();
		echo '<div class="last-post col-xs-6 col-sm-6 col-md-'.$columns.'">';
		
		if ( has_post_thumbnail() ) {
			$url = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'wordpress-thumbnail' );
			$alt = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_alt', true);
			$title = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_title', true);
			echo '<figure>
					<a href="'. get_the_permalink() .'"><img src="'.$url[0].'" alt="'.$alt.'" title=""></a>
					<figcaption>
						<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
					</figcaption>
				  </figure>';
		}else{
			echo '<figure>
					<img src="http://lorempixel.com/g/1024/1024/abstract/" >
					<figcaption>
						<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
					</figcaption>
				  </figure>';
		}
		echo '';
		echo '</div>';

	}
	
	echo '</section>';
	if($paged != $the_query->max_num_pages) :
		echo '<div class="next">';
		next_posts_link( 'Ver más', $the_query->max_num_pages );
		echo '</div>';
	endif;
} else {
	_e( 'Sorry, no posts matched your criteria.' );
}
/* Restore original Post Data */
wp_reset_postdata();

	
}


function posts_queries( $query ) {
  // do not alter the query on wp-admin pages and only alter it if it's the main query
  if (!is_admin() && $query->is_main_query()){

    // alter the query for the home and category pages 

    if(is_home()){
      $query->set('posts_per_page', 12);
    }

    if(is_archive()){
      $query->set('posts_per_page', 12);
    }

  }
}
add_action( 'pre_get_posts', 'posts_queries' );



function last_posts($number,$columns){

$args = array(
	'posts_per_page'         => $number,
	'orderby' => 'rand'
);
// The Query
$the_query = new WP_Query( $args );
$columns = 12/$columns;
// The Loop
if ( $the_query->have_posts() ) {

	echo '<section class="row last-posts">';
	while ( $the_query->have_posts() ) {
		$the_query->the_post();
		echo '<div class="last-post col-xs-6 col-sm-6 col-md-'.$columns.'">';
		
		if ( has_post_thumbnail() ) {
			$url = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'wordpress-thumbnail' );
			$alt = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_alt', true);
			$title = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_title', true);
			echo '<figure>
					<a href="'. get_the_permalink() .'"><img src="'.$url[0].'" alt="'.$alt.'" title=""></a>
					<figcaption>
						<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
					</figcaption>
				  </figure>';
		}else{
			echo '<figure>
					<img src="http://lorempixel.com/g/1024/1024/abstract/" >
					<figcaption>
						<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
					</figcaption>
				  </figure>';
		}
		echo '';
		echo '</div>';

	}
	echo '</section>';
} else {
	// no posts found
}
/* Restore original Post Data */
wp_reset_postdata();


}



function related_posts($number,$columns){
	$category = get_the_category();
	$args = array(
		'posts_per_page'         => $number,
		'cat' => $category[0]->term_id
	);
	// The Query
	$the_query = new WP_Query( $args );
	$columns = 12/$columns;
	// The Loop
	if ( $the_query->have_posts() ) {

		echo '<section class="row last-posts">';
		while ( $the_query->have_posts() ) {
			$the_query->the_post();
			echo '<div class="last-post col-xs-6 col-sm-6 col-md-'.$columns.'">';
			
			if ( has_post_thumbnail() ) {
				$url = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'wordpress-thumbnail' );
				$alt = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_alt', true);
				$title = get_post_meta(get_post_thumbnail_id(get_the_ID()) , '_wp_attachment_image_title', true);
				echo '<figure>
					<a href="'. get_the_permalink() .'"><img src="'.$url[0].'" alt="'.$alt.'" title=""></a>
					<figcaption>
						<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
					</figcaption>
				  </figure>';
			}else{
				echo '<figure>
						<img src="http://lorempixel.com/g/1024/1024/abstract/" >
						<figcaption>
							<h3><span><a href="'. get_the_permalink() .'">' . get_the_title() . '</a></span></h3>
						</figcaption>
					  </figure>';
			}
			echo '';
			echo '</div>';

		}
		echo '</section>';
	} else {
		// no posts found
	}
	/* Restore original Post Data */
	wp_reset_postdata();


}


function contact_form(){
	
		if ( shortcode_exists( 'mc4wp_form' ) ) {
			echo '<article class="suscripcion">';
			echo '<div class="row contact-form">';
			echo do_shortcode( '[mc4wp_form]' );
			echo '</div>';
			echo '</article>';	
		}
	


}


function social(){
	echo  '
<div class="facebook container">
	<h2>¿Te ha gustado?</h2>
	 <div class="fb-comments" data-href="'.get_the_permalink().'" data-width="100%" data-numposts="5" data-colorscheme="light"></div>
	</div>';
}



function compartir(){

$permalink = urlencode(get_the_permalink());
$titulo = urlencode(get_the_title());
$facebook = '';
$twitter = '';

echo '<ul class="social">';
echo '<li><a rel="nofollow" target="_blank" href="http://facebook.com/sharer.php?u='.$permalink.'"><img src="'. get_template_directory_uri() .'/assets/images/facebook.png" alt="Compartir en facebook"></a></li>';
echo '<li><a rel="nofollow" target="_blank" href="http://twitter.com/share?url='.$permalink.'%2F'.$titulo.'"><img src="'. get_template_directory_uri() .'/assets/images/twitter.png" alt="Compartir en twitter"></a></li>';
echo '<li><a rel="nofollow" target="_blank" href="http://pinterest.com/pin/create/button/?url='.$permalink.'&media=&description='.$titulo.'"><img src="'. get_template_directory_uri() .'/assets/images/pinterest.png" alt="Compartir en pinterest"></a></li>';
echo '</ul>';


}

/* This snippet removes the action that inserts thumbnails to products in teh loop
 * and re-adds the function customized with our wrapper in it.
 * It applies to all archives with products.
 *
 * @original plugin: WooCommerce
 * @author of snippet: Brian Krogsard
 */

remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);

/**
 * WooCommerce Loop Product Thumbs
 **/

 if ( ! function_exists( 'woocommerce_template_loop_product_thumbnail' ) ) {

	function woocommerce_template_loop_product_thumbnail() {
		echo woocommerce_get_product_thumbnail();
	} 
 }


/**
 * WooCommerce Product Thumbnail
 **/
 if ( ! function_exists( 'woocommerce_get_product_thumbnail' ) ) {
	
	function woocommerce_get_product_thumbnail( $size = 'shop_catalog', $placeholder_width = 0, $placeholder_height = 0  ) {
		global $post, $woocommerce;

			
			$output = '<div class="imagewrapper">';

			if ( has_post_thumbnail() ) {
				
				$output .= get_the_post_thumbnail( $post->ID, $size ); 
				
			} else {
			
				$output .= '<img src="'. woocommerce_placeholder_img_src() .'" alt="Placeholder" />';
			
			}
			
			$output .= '</div>';


			
			return $output;
	}
 }
?>