<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
?>
<li class="col-xs-6 col-sm-6 col-md-4 producto">

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

	
	
			<a href="<?php the_permalink(); ?>">
            <h3><?php the_title(); ?></h3></a>
            <?php  if($product->is_type( 'external' )){ 
						echo '<a rel="nofollow" href="'. esc_url( $product->get_product_url() ). '" title="'. get_the_title() .'">'; 
					} else{
						echo '<a href="'.get_the_permalink().'" title="'. get_the_title() .'">'; 
					}
		
	
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>
    </a>
	<?php if(is_single()) { ?>
			<a href="<?php the_permalink(); ?>">
            <h3><?php the_title(); ?></h3></a>
    <?php } ?>
   <?php 	if(!is_single()){
			echo '<div class="producto-descripcion">';
			echo $product->get_sku();  
			echo apply_filters( 'woocommerce_short_description', $post->post_excerpt );
			echo '</div>';
			}
    ?>
<?php //echo apply_filters( 'woocommerce_short_description', $post->post_excerpt ) ?>
<?php if(!is_single()) { ?>
		<?php
			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_rating - 5
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
		?>

	</a>
	
	<?php

		/**
		 * woocommerce_after_shop_loop_item hook
		 *
		 * @hooked woocommerce_template_loop_add_to_cart - 10
		 */
		do_action( 'woocommerce_after_shop_loop_item' ); 

	?>
	<?php } ?>
</li>